;;; ~/.doom.d/config.el -*- lexical-binding: t; -*-

;; Set font
(setq doom-font (font-spec :family "FuraCode NF" :size 12))
(pcase (system-name)
  ("zuk"
   ;; Wayland support for high HDPI scaling has some issues.
   ;; Increasing the font size is a working stopgap.
   (font-put doom-font :size 15))
)
;; Orgmode
(custom-set-variables '(org-directory "~/org"))
(setq-default org-download-image-dir "~/org/resources/")
 ;; Enable word wrap
(add-hook 'org-mode-hook #'visual-line-mode)
 ;; allow md export
(eval-after-load "org" '(require 'ox-md nil t)) 
(setq deft-directory "~/org/")

;; org-journal-file-format
(customize-set-variable 'org-journal-date-format "%A, %d %B %Y")


;; Have projectile automatically check code.
(setq projectile-project-search-path '("~/src/" "~/Code/"))

(setq doom-localleader-key ",")
